Invite a Company

After creating a company, you may invite the company to use Routable's vendor onboarding flow to add additional contact information and payment method details to their vendor profile. This can be done in two ways: via email and/or via an embedded link.

To send the invitation via email, set the send_invite_email parameter to true. The recipients of the email will be based on the Company's Contacts and their default_contact_for_company_management value:

  • When actionable, the contact will receive an email with a clickable link that allows them to submit information.
  • When read_only, the contact will only be notified of the invitation.
  • When none, the contact will not receive an email notification.

To use the embedded link flow, use the get_links parameter with a value of true. You may also specify a confirmation_redirect_url to route the user to after completion of the Routable onboarding flow.

After inviting a company, their status will change to invited. After the contact enters their information, the company's status will change to accepted. Attempting to send an invitation to a Company that is already accepted will generate a 400 Bad Request error.

For more information, see our help docs.

Path Params
uuid
required

The Company ID.

Body Params

Invites the actionable Contacts at the Company to add their PaymentMethods and TaxForms via Routable's hosted vendor onboarding workflow. To perform this action, your Company must have at least one actionable Contact. If you indicate that you want invitation emails to be sent (send_invite_email = true), at least one actionable Contact must also have a valid email address.

uuid
required

The ID of the TeamMember performing this action. This will be displayed in the Routable Dashboard and also used as the sender of any invitation emails sent to your Company's actionable Contacts.

uri

A URL on your site that users will be redirected to after completing the onboarding external flow. For use with get_links: true.

boolean
Defaults to false
string
length ≥ 1

A custom message to include in the invitation email, if send_invite_email is true. A limited subset of HTML tags are permitted for formatting.

boolean
Defaults to true

If true, invitation links will be sent via email to all actionable Contacts belonging to this Company. Exactly one of get_links or send_invite_email must be true.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json